CREATE procedure [C6Staging].[RP_ST_DettProdottiTerzi]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettProdottiTerzi',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_DettProdottiTerzi
--drop table c6staging.RP_DettProdottiTerzi
--select * into c6staging.RP_DettProdottiTerzi from [CONSUNI].[ConsulenzaUnica].dbo.DettProdottiTerzi
	insert into c6staging.RP_DettProdottiTerzi
	select
		[chiaveProdottoTerzi]
      ,[idIntermediario]
      ,[alberatura]
      ,[nomeIntermediario]
      ,[dtInizioInvest]
      ,[totVersato]
      ,[totPrelevato]
      ,[valutaTotPrelevato]
      ,[chiaveProdotto]
      ,[numQuote]
      ,[divQuoteProd]
      ,[dtSottoscrizione]
      ,[valutaPremioVers]
      ,[tipoPolizza]
      ,[tipoVersamento]
      ,[tipoFormaPensionistica]
      ,[capitaleInvestito]
      ,[valutaCapInvestito]
      ,[contoPrincipale]
      ,[addebitoUtenze]
      ,[accreditoStipPens]
      ,[cartaCredito]
      ,[addebitoMutuo]
      ,[isin]
      ,[lineaFinanziaria]
      ,[fabbisognoPrev]
      ,[dtDecorrenza]
      ,[modalitaUso]
      ,[ctvUltimaPrestNota]
      ,[dtUltimaPrestNota]
      ,[flgPrestazioneScad]
      ,[dtTermineVers]
      ,[dtUltimoPremioNoto]
      ,[nomeCompagnia]
      ,[valutaCtvUltPrestNota]
	from [CONSUNI].[ConsulenzaUnica].dbo.DettProdottiTerzi
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettProdottiTerzi' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettProdottiTerzi'
		)
end